<?php
include ("base/elemento.class.php");
include ("base/categoria.class.php");
//include ("include/seo.php");
 


class artigo extends elemento{
	
	var $defaultWidget;
	
	function artigo() {	
        //$this->defaultWidget[1]="minicalculadora";
		$this->defaultWidget[1]="ultimosartigos_lead";
		$this->defaultWidget[2]="utilitarios";
		
    }
    
    function preview($id=""){
    	$this->guardar($id);
    }
    
    
    function trataimagem ($campo){
    	if($this->req[$campo]){
			$imagem=$this->req[$campo];
			$path ="../netimages/artigo";
			$old_file="../". $imagem;
			$dest_file=$path . "/" . basename($imagem);
			
			if (!is_dir($path)) mkdir ($path, 777);
			
			$img= new image;
		
			$myimagem=$img->thumbnail2($old_file, $dest_file, $this->req[$campo . '_lar'], $this->req[$campo .'_alt']);
			$img->thumbnail2($old_file, $path ."/media/" . basename($imagem), 110, 94);
			$img->thumbnail2($old_file, $path ."/portefolio/" . basename($imagem), 185, 141);
			$img->thumbnail2($old_file, $path ."/revista/" . basename($imagem), 80, 60);

			$prepath="../";
			if (strstr($myimagem,$prepath)) {$myimagem=substr($myimagem,strlen($prepath));}
			
			$this->req[$campo]=$myimagem;
		} else {
		$this->req[$campo]=$this->req[$campo .'_old'];
		if($this->req[$campo . '_apagar'])$this->req[$campo]="";
		} 	
    }
	
	function guardar($id=0){
		$this->trataimagem('imagem');
		
		$this->req['permatitulo']=generate_seo_titulo($this->req['titulo']);
		$this->req['permalink']=generate_seo_link($this->req['permatitulo'], $this->req['idCat'], $this->req['data']);
		
		$this->guardar_relacao($id);
		$this->guardar_tabela($id);
		
		$this->req['tipo']="artigo";
		$this->tipo="artigo";		
		parent::guardar($id);
		
	}
	
	function guardar_tabela($id, $tabela="tabela"){
		
		$db= new dbElemento;
		
		if ($id) {
			$sql="delete from tabela where idArtigo='$id'";
			$db->set($sql);
		}
		
		for($i=0; $i<=21; $i++){
			if ($this->req[$tabela . '_nome' . $i]){

				$nome=$this->req[$tabela . '_nome' . $i];
				$valor=$this->req[$tabela . '_valor' . $i];
				$link=$this->req[$tabela . '_link' . $i];
				
				$sql="insert into tabela values('$id', '$i', '$nome', '$valor', '$link')";
				$db->set($sql);
			}
		
	    }
		
	}
	
	/*
	function guardar_tabela($id){
		
		$db= new dbElemento;
		
		if ($id) {
			$sql="delete from tabela where idArtigo='$id'";
			$db->set($sql);
		}
		
		for($i=0; $i<=21; $i++){
			if ($this->req['tabela_valor' . $i]){

				$nome=$this->req['tabela_nome' . $i];
				$valor=$this->req['tabela_valor' . $i];
				$link=$this->req['tabela_link' . $i];
				
				$sql="insert into tabela values('$id', '$i', '$nome', '$valor', '$link')";
				$db->set($sql);
			}
		
	    }
		
	}*/
	
	function guardar_relacao($id){
		
		$db= new dbElemento;
		if ($id) {
			$sql="delete from relacaoArtigo where idArtigo='$id'";
			$db->set($sql);
		}
		for($i=1; $i<=10; $i++){
			if ($this->req['relacao' . $i]){
				$relacao=$this->req['relacao' . $i];
				$sql="insert into relacaoArtigo values('$id', '$i', '$relacao')";
				$db->set($sql);
			}	
	    }
	}
    

	function editar($id=""){
        
		$db= new dbElemento;

        $linha = @$db->getLinha("artigo", $id);
        
		$dadosArtigoRel=$db->get("select * from relacaoArtigo where idArtigo=$id");
		
		for ($r=1;$r<=10;$r++){
			$linha['relacao' . $r]=$dadosArtigoRel[$r-1]['idArtigoRel'];
		}
        
		$this->req['tipo']="artigo";
		$f= new form($id, $linha, $this->req);
		
		
		$f->toolbars();
		$f->titulo("",1);
		
		$tab=array(
		"artigo"=>"Artigo", 
		"widgets"=>"Widgets", 
		"minicalculadora"=>"Minicalculadora", 
		"artigorelacionado"=>"Artigo Relacionado", 
		"cotacoes"=>"Cotações",
		"rendibilidade"=>"Rendibilidade",
		"html"=>"Html",
		"graficos"=>"Gráfico"
		);
		
		$f->tabs($tab);
		
		$f->campoTexto("Título","titulo" );
		
		if ($id) $f->label1($linha["permalink"]);

		
		$f->campoAreaTexto("Texto peq. lista","lead" );

		$f->campoImagem2("Imagem", "imagem", 390, 293);
		
		//$f->campoGrafico2("Grafico", "grafico");
		
		$f->campoHTML("Texto", "texto");
		
		$f->campoData("Data", "data");
		$f->campoTexto("Hora", "hora");
		
		// jornalista - vai buscar a jornalista
		$dados=$db->getListaCategorias("jornalista", "*");
		foreach ($dados as $l) $dadosJor[$l['id']]=$l['nome'];
		$f->campoSeleccao("Jornalista", "idJornalista", $dadosJor, $linha['idJornalista']);
		$f->campoSeleccao("Jornalista 2", "idJornalista2", $dadosJor, $linha['idJornalista2']);
		$f->campoTexto("Outros Jornalistas", "outroJornalista");
		
		$f->campoTexto("Revista nº", "idRevista");
		
		$dados=$db->getListaCategorias("artigoRelAreaRevista", "*");
		foreach ($dados as $l) $dadosAR[$l['id']]=$l['nome'];
		$f->campoSeleccao("Área na Revista", "idAreaRevista", $dadosAR, $linha['idAreaRevista']);
		
		// accao - vai buscar a accao
		$dados=$db->getListaCategorias("accao", "*");
		foreach ($dados as $l) $dadosAcc[$l['id']]=$l['nome'];
		$f->campoSeleccao("Acção", "idAccao", $dadosAcc, $linha['idAccao']);
				//calculadora
		$dados=$db->getListaCategorias("calculadora", "*");
		foreach ($dados as $l) $dadosCalc[$l['id']]=$l['titulo'];
		$f->campoSeleccao("Calculadora", "idCalculadora", $dadosCalc, $linha['idCalculadora']);
		
		$f->campoSimNao("Artigo ZIB", 'zib');
		$super=$_SESSION['authdata']['super'];
		if ($super){
			$f->campoSimNao("Activo", "activo", 0);
		}
		$f->campoBotao2("Preview",'preview');
				
				
		$f->newTab("widgets");
		
		$dados=$db->getListaCategorias("widget", "*");
		foreach ($dados as $l) $dadosWidget[$l['nome']]=$l['nome'];

		for ($w=1; $w<6; $w++){
			$linha['widget' . $w]=$linha['widget' . $w]?$linha['widget' . $w]:$this->defaultWidget[$w];
			$f->campoSeleccao("Widget $w", "widget$w", $dadosWidget, $linha["widget$w"]);
		}
		
		$f->newTab("minicalculadora");
		// minicalculadora
		$f->panelIni("panelMiniCal", 0);
		$dados=$db->getListaCategorias("miniCalculadora", "*");
		foreach ($dados as $l) $dadosMiniCalc[$l['id']]=$l['titulo'];
		$f->campoSeleccao("Mini Calculadora", "idMiniCalculadora", $dadosCalc, $linha['idMiniCalculadora']);
		
		for ($v=1; $v<5; $v++){
			$f->campoTexto("Valor $v","valor$v" );
		}
		$f->panelEnd();
		
		$f->newTab("artigorelacionado");
			
		for ($r=1;$r<=10;$r++){
			$f->campoRelacao2("Artigo Relacionado $r", $r);
		}
		
		$f->newTab("cotacoes");
		
		$dadostabela1=$db->get("select * from tabela where idArtigo='$id'");
		if ($dadostabela1) 
		foreach ($dadostabela1 as $l) {
			$dadostabela[$l['linha']]['nome']=$l['nome'];
			$dadostabela[$l['linha']]['valor']=$l['valor'];
			$dadostabela[$l['linha']]['link']=$l['link'];
		}
		$f->cotacoes($dadostabela);
		
		
		$f->newTab("rendibilidade");
		$f->campoTexto("Rendibilidade efectiva:","rEfectiva" );
		$f->campoTexto("Rendibilidade anualizada:","rAnual" );
		
		$f->newTab("html");
		$f->campoHTMLmini("Campo Livre", "textomini");

		
		$f->newTab("graficos");
		$f->campoTexto("Titulo Gráfico","tituloGrafico" );
		$f->campoTexto("Lead Gráfico","leadGrafico" );
		$f->campoGrafico2("Grafico", "grafico1");
		
		
		$f->lastTab();
		
		$f->campoValor("ordem", $linha["ordem"]);
		$f->campoValor("rating", $linha["rating"]);
		$f->campoValor("votos", $linha["votos"]);
		//$f->campoTexto("Fonte","fonte" );
		
		$f->mostra();

	}
	
	function listar(){

        $campos=array("Nr"=>"id","Titulo"=>"titulo", "Ordem"=>"ordem", "Permalink"=> "permalink");
        
        $db= new dbElemento;
        
        $dados=$db->getLista("artigo", $this->idCat, $campos , "ordem", 2 ,$this->req['offset'], $this->req['limit'], $this->req['procurar'], $this->req['filtro'] );
        $this->req['total']=$db->getTotal("artigo", $this->idCat, $this->req['procurar'], $this->req['filtro']);
 
        $this->req['tipo']="artigo";
        $f= new lista($campos, $dados, $this->req);
		if ($this->tipo=='artigo')        
        	$f->toolbars();
        else
        	$f->toolbarsNovo2();
		$f->titulo();
		$f->cabecaSimples("Comentários");
		
		if ($_SESSION['authdata']['super'])
			$f->tabela(true, true, true, 2, true);
		else
			$f->tabela(false, false, false, 2, true);
		$f->mostra();

	}
	
	/// auxiliar para herdar
	function apagar($id=""){
		$this->tipo="artigo";
		parent::apagar($id);
	}
	
	function acima($id=""){
		$this->tipo="artigo";
		parent::acima($id);
	}
	
	function abaixo($id=""){
		$this->tipo="artigo";
		parent::abaixo($id);
	}
	
	
	function copiar($id=""){
		if ($this->tipo=="artigo"){
			$this->tipo="artigo";
			parent::copiar($id);
		}
	}
	
	function mover($id=""){
		if ($this->tipo=="artigo"){
			$this->tipo="artigo";
			parent::mover($id);
		}
	}

}
?>
<script type="text/javascript">

$(document).ready(function(){
		for (i=1;i<11;i++){
			myid = $("#relacao"+i).val();
			escreve(i, myid);
		}
		
		$('input[name^=botaoR]').click(function(){
			myi=this.name.substring(6);
			myid = $("#relacao"+myi).val();
			escreve(myi, myid);
		});
		
		//$('#tabs > ul').tabs('disable, 4);
		
		/*
		$('select[name^=widget]').change(function(){
			//alert($(this).val());
			var val=$(this).val();
			if ((val=='minicalculadora')|| (val=='leiamais')) exit;
			$('#tabs > ul').tabs('add', '#'+val, val);
			$('#'+val).load("widget/teste.php");
		});*/
		
});

function escreve(myi, id){
			if (id)
				$("#rel"+myi).load("getArtigo.php?id=" + myid);
}

function escreveTodos(){
		for (i=1;i<11;i++){
			myid = $("#relacao"+i).val();
			escreve(i, myid);
		}
}


function preview(){

var w=window.open('/artigo.php','popup','scrollbars=yes,width=1000,height=1000');

$('w #texto').html("sfjlk ewjhrkwj");

}


</script>




